Package org.apache.sysds.utils.stats

## Class SparkStatistics

- java.lang.Object
- - org.apache.sysds.utils.stats.SparkStatistics

    public class SparkStatistics
    extends Object

### Constructor Summary

Constructors
`SparkStatistics()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `accBroadCastTime​(long t)`
`static void` `accCollectTime​(long t)`
`static void` `accParallelizeTime​(long t)`
`static boolean` `createdSparkContext()`
`static String` `displayStatistics()`
`static long` `getAsyncBroadcastCount()`
`static long` `getAsyncPrefetchCount()`
`static long` `getSparkCollectCount()`
`static void` `incAsyncBroadcastCount​(long c)`
`static void` `incAsyncPrefetchCount​(long c)`
`static void` `incBroadcastCount​(long c)`
`static void` `incParallelizeCount​(long c)`
`static void` `reset()`
`static void` `setCtxCreateTime​(long ns)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SparkStatistics

    public SparkStatistics()

### Method Detail

#### createdSparkContext

    public static boolean createdSparkContext()

#### setCtxCreateTime

    public static void setCtxCreateTime​(long ns)

#### accParallelizeTime

    public static void accParallelizeTime​(long t)

#### incParallelizeCount

    public static void incParallelizeCount​(long c)

#### accCollectTime

    public static void accCollectTime​(long t)

#### accBroadCastTime

    public static void accBroadCastTime​(long t)

#### incBroadcastCount

    public static void incBroadcastCount​(long c)

#### incAsyncPrefetchCount

    public static void incAsyncPrefetchCount​(long c)

#### incAsyncBroadcastCount

    public static void incAsyncBroadcastCount​(long c)

#### getSparkCollectCount

    public static long getSparkCollectCount()

#### getAsyncPrefetchCount

    public static long getAsyncPrefetchCount()

#### getAsyncBroadcastCount

    public static long getAsyncBroadcastCount()

#### reset

    public static void reset()

#### displayStatistics

    public static String displayStatistics()